Unable to create new project

I am trying to create a new project but getting this error.
> ** (Mix) Application name must start with a letter and have only lowercase letters, numbers and underscore, got: "app_deep". The application name is inferred from the path, if you'd like to explicitly name the application then use the–app APPoption.

Phoenix version is 1.2.1 and Elixir 1.5.2
Any ideas please?

Can you show the command you’re running?

mix phoenix.new app_deep

@dokuzbir here’s another error message after getting rid ofapp

** (Mix) Application name must start with a letter and have only lowercase letters, numbers and underscore, got: "deep". The application name is inferred from the path, if you'd like to explicitly name the application then use the–app APPoption.

So i was wrong sorry, please check this page
https://github.com/phoenixframework/phoenix/issues/2297

1 Like

@dokuzbir thanks for the link

You should check also erlang version, there was something like this in an older topic.

There was some kind of problem using 20.0 with Elixir 1.5.2… It was solved by downgrading to erlang 19. Or You could also upgrade phoenix and elixir to newer versions.

You can get version with

$ erl -version
Erlang (SMP,ASYNC_THREADS,HIPE) (BEAM) emulator version 9.1
$ erl
Erlang/OTP 20 [erts-9.1] [source] [64-bit] [smp:8:8] [ds:8:8:10] [async-threads:10] [hipe] [kernel-poll:false]

Eshell V9.1  (abort with ^G)
1> 

UPDATE: I found the previous topic…

And it was an outdated Phoenix archive

Thanks @kokolegorille …the link shared by @dokuzbir solved it…all I had to do was

mix archive.install https://github.com/phoenixframework/archives/raw/master/phoenix_new.ez

and it works

1 Like

Glad You solved it :slight_smile:

1 Like